package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.AddressInfo;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;


public interface AddressInfoService {
	AddressInfo get(String id);
	boolean exist(String id);
	int insert(AddressInfo model);
	int update(AddressInfo model);
	int delete(String id);
	List<AddressInfo> list(String companyId);
	AddressInfo findByMeetingIdAndAddressId(String meetingId,String addressId);
	Page<AddressInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
}